data "aws_iam_policy_document" "lambda-metrics-role" {
  statement {
    effect = "Allow"
    principals {
      type        = "Service"
      identifiers = ["lambda.amazonaws.com"]
    }
    actions = ["sts:AssumeRole"]
  }
}

module "metrics-lambda" {
  source  = "./modules/lambda"
  name    = "metrics"
  handler = "metrics"
  policy  = data.aws_iam_policy_document.lambda-metrics-role.json
}
